com.amazon.redshift.plugin

## Class AdfsCredentialsProvider

- java.lang.Object
- - com.amazon.redshift.plugin.SamlCredentialsProvider
  - - com.amazon.redshift.plugin.AdfsCredentialsProvider

All Implemented Interfaces:
  IPlugin

    public class AdfsCredentialsProvider
    extends SamlCredentialsProvider

### Field Summary

Fields
`protected static Pattern` `IAM_HTTP_URL_PATTERN`
`protected static Pattern` `IAM_URL_PATTERN`
`protected static String` `KEY_SSL_INSECURE`
`protected RedshiftLogger` `m_log`
`protected String` `m_loginToRp` String to hold value of loginToRp.
`protected boolean` `m_sslInsecure`

### Fields inherited from class com.amazon.redshift.plugin.SamlCredentialsProvider

`KEY_IDP_HOST, m_autoCreate, m_dbGroups, m_dbGroupsFilter, m_dbUser, m_disableCache, m_duration, m_forceLowercase, m_groupFederation, m_idpHost, m_idpPort, m_password, m_preferredRole, m_region, m_stsEndpoint, m_userName`

### Constructor Summary

Constructors
Constructor and Description
`AdfsCredentialsProvider()`

### Method Summary

Methods
`void` `addParameter(String key, String value)`
`protected CloseableHttpClient` `getHttpClient()`
`String` `getPluginSpecificCacheKey()`
`protected String` `getSamlAssertion()`
`protected void` `validateURL(String paramString)`

### Methods inherited from class com.amazon.redshift.plugin.SamlCredentialsProvider

`checkRequiredParameters, escapeHtmlEntity, getCacheKey, getCredentials, getFormAction, getIdpToken, getInputTagsfromHTML, getSubType, getValueByKey, getValueByKeyWithoutQuotesAndValueInSingleQuote, isPassword, isText, refresh, setGroupFederation, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_loginToRp

    protected String m_loginToRp

String to hold value of loginToRp.

#### KEY_SSL_INSECURE

    protected static final String KEY_SSL_INSECURE

See Also:
  Constant Field Values

#### m_sslInsecure

    protected boolean m_sslInsecure

#### IAM_URL_PATTERN

    protected static final Pattern IAM_URL_PATTERN

#### IAM_HTTP_URL_PATTERN

    protected static final Pattern IAM_HTTP_URL_PATTERN

#### m_log

    protected RedshiftLogger m_log

### Constructor Detail

#### AdfsCredentialsProvider

    public AdfsCredentialsProvider()

### Method Detail

#### addParameter

    public void addParameter(String key,
                    String value)

Specified by:
  `addParameter` in interface `IPlugin`
Overrides:
  `addParameter` in class `SamlCredentialsProvider`

#### getPluginSpecificCacheKey

    public String getPluginSpecificCacheKey()

Specified by:
  `getPluginSpecificCacheKey` in interface `IPlugin`
Overrides:
  `getPluginSpecificCacheKey` in class `SamlCredentialsProvider`

#### getSamlAssertion

    protected String getSamlAssertion()
                               throws IOException

Specified by:
  `getSamlAssertion` in class `SamlCredentialsProvider`
Throws:
  `IOException`

#### getHttpClient

    protected CloseableHttpClient getHttpClient()
                                         throws GeneralSecurityException

Throws:
  `GeneralSecurityException`

#### validateURL

    protected void validateURL(String paramString)
                        throws IOException

Throws:
  `IOException`